/**
 * @file resources.h
 * @brief graphic resources (font, srites & cluts)
 * @author Duboisset Philippe
 * @version 0.1b
 * @date (yyyy-mm-dd) 2013-07-13
 *
 * Copyright (C) <2013>  <duboisset.philippe@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef _resources_h_
#define _resources_h_

#include "main.h"


extern const uint8_t sprite[];
extern const uint8_t spriteLut[];

//#define USE_FONT_DIGIT_4BPP_N_12
//#define USE_FONT_DIGIT_4BPP_N_13
//#define USE_FONT_DIGIT_4BPP_N_14
//#define USE_FONT_DIGIT_4BPP_N_15
#define USE_FONT_DIGIT_4BPP_N_16
//#define USE_FONT_DIGIT_4BPP_N_17
//#define USE_FONT_DIGIT_4BPP_N_18
//#define USE_FONT_DIGIT_4BPP_N_20
//#define USE_FONT_DIGIT_4BPP_N_22
//#define USE_FONT_DIGIT_4BPP_N_25
//#define USE_FONT_DIGIT_4BPP_N_31
//#define USE_FONT_DIGIT_4BPP_N_39

//#define USE_FONT_FREESERIF_4BPP_N_12
//#define USE_FONT_FREESERIF_4BPP_N_14
#define USE_FONT_FREESERIF_4BPP_N_16
//#define USE_FONT_FREESERIF_4BPP_N_18
#define USE_FONT_FREESERIF_4BPP_N_20
//#define USE_FONT_FREESERIF_4BPP_N_22
//#define USE_FONT_FREESERIF_4BPP_N_24

//#define USE_FONT_FREESERIF_4BPP_B_12
//#define USE_FONT_FREESERIF_4BPP_B_14
#define USE_FONT_FREESERIF_4BPP_B_16
//#define USE_FONT_FREESERIF_4BPP_B_18
//#define USE_FONT_FREESERIF_4BPP_B_20
//#define USE_FONT_FREESERIF_4BPP_B_22
//#define USE_FONT_FREESERIF_4BPP_B_24

//#define USE_FONT_FREESERIF_4BPP_I_12
//#define USE_FONT_FREESERIF_4BPP_I_14
#define USE_FONT_FREESERIF_4BPP_I_16
//#define USE_FONT_FREESERIF_4BPP_I_18
//#define USE_FONT_FREESERIF_4BPP_I_20
//#define USE_FONT_FREESERIF_4BPP_I_22
//#define USE_FONT_FREESERIF_4BPP_I_24

extern const uint8_t Digit_4bpp_n_12[];
extern const uint8_t Digit_4bpp_n_13[];
extern const uint8_t Digit_4bpp_n_14[];
extern const uint8_t Digit_4bpp_n_15[];
extern const uint8_t Digit_4bpp_n_16[];
extern const uint8_t Digit_4bpp_n_17[];
extern const uint8_t Digit_4bpp_n_18[];
extern const uint8_t Digit_4bpp_n_20[];
extern const uint8_t Digit_4bpp_n_22[];
extern const uint8_t Digit_4bpp_n_25[];
extern const uint8_t Digit_4bpp_n_31[];
extern const uint8_t Digit_4bpp_n_39[];

extern const uint8_t FontFreeSerif_4bpp_n_12[];
extern const uint8_t FontFreeSerif_4bpp_n_14[];
extern const uint8_t FontFreeSerif_4bpp_n_16[];
extern const uint8_t FontFreeSerif_4bpp_n_18[];
extern const uint8_t FontFreeSerif_4bpp_n_20[];
extern const uint8_t FontFreeSerif_4bpp_n_22[];
extern const uint8_t FontFreeSerif_4bpp_n_24[];

extern const uint8_t FontFreeSerif_4bpp_b_12[];
extern const uint8_t FontFreeSerif_4bpp_b_14[];
extern const uint8_t FontFreeSerif_4bpp_b_16[];
extern const uint8_t FontFreeSerif_4bpp_b_18[];
extern const uint8_t FontFreeSerif_4bpp_b_20[];
extern const uint8_t FontFreeSerif_4bpp_b_22[];
extern const uint8_t FontFreeSerif_4bpp_b_24[];

extern const uint8_t FontFreeSerif_4bpp_i_12[];
extern const uint8_t FontFreeSerif_4bpp_i_14[];
extern const uint8_t FontFreeSerif_4bpp_i_16[];
extern const uint8_t FontFreeSerif_4bpp_i_18[];
extern const uint8_t FontFreeSerif_4bpp_i_20[];
extern const uint8_t FontFreeSerif_4bpp_i_22[];
extern const uint8_t FontFreeSerif_4bpp_i_24[];

#endif
